From 887c8a2eb1de93737173b9f26fc79788319265fa Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 08 2020 22:55:10 +0000
Subject: [PATCH 577/2232] Merge pull request #192 from cchalmers/cpp-true


Add cpp flag to cc
---

diff --git a/build.rs b/build.rs
index 1f3b6eb..16837f3 100644
--- a/build.rs
+++ b/build.rs
@@ -1,6 +1,8 @@
 fn main() {
     cc::Build::new()
         .file("src/cxx.cc")
+        .cpp(true)
+        .cpp_link_stdlib(None) // linked via link-cplusplus crate
         .flag("-std=c++11")
         .compile("cxxbridge03");
     println!("cargo:rerun-if-changed=src/cxx.cc");
diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 9e8475a..b33e192 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -88,12 +88,16 @@ pub fn bridge(rust_source_file: impl AsRef<Path>) -> cc::Build {
 /// ```
 pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) -> cc::Build {
     let mut build = paths::cc_build();
+    build.cpp(true);
+    build.cpp_link_stdlib(None); // linked via link-cplusplus crate
+
     for path in rust_source_files {
         if let Err(err) = try_generate_bridge(&mut build, path.as_ref()) {
             let _ = writeln!(io::stderr(), "\n\ncxxbridge error: {:?}\n\n", anyhow!(err));
             process::exit(1);
         }
     }
+
     build
 }
 

